> ## Documentation Index
> Fetch the complete documentation index at: https://docs.avrxt.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# URL metadata

> Resolve metadata for a validated public URL.



## OpenAPI

````yaml GET /link-preview
openapi: 3.1.1
info:
  title: AVRXT Public API
  version: v1
  description: >-
    The public AVRXT API gateway. Use HTTPS and JSON for all requests and
    responses.
  contact:
    name: AVRXT
    url: https://www.avrxt.dev/contact
  license:
    name: AVRXT Terms
    url: https://www.avrxt.dev/legal/terms
servers:
  - url: https://api.avrxt.dev/v1
    description: Production
security: []
tags:
  - name: System
    description: Service availability and public status.
  - name: Content
    description: Public metadata and media output.
  - name: Integrations
    description: Read-only public integration data.
externalDocs:
  description: AVRXT API reference
  url: https://docs.avrxt.dev/api-reference/overview
paths:
  /link-preview:
    get:
      tags:
        - Content
      summary: Get public URL metadata
      operationId: getLinkPreview
      parameters:
        - name: url
          in: query
          required: true
          description: Public HTTP or HTTPS URL to inspect.
          schema:
            type: string
            format: uri
            maxLength: 2048
      responses:
        '200':
          description: Resolved link metadata
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LinkPreview'
        '400':
          $ref: '#/components/responses/BadRequest'
        '429':
          $ref: '#/components/responses/RateLimited'
        '502':
          $ref: '#/components/responses/UpstreamUnavailable'
components:
  schemas:
    LinkPreview:
      type: object
      required:
        - url
        - resolvedUrl
        - host
      properties:
        url:
          type: string
          format: uri
        resolvedUrl:
          type: string
          format: uri
        host:
          type: string
        title:
          type:
            - string
            - 'null'
        description:
          type:
            - string
            - 'null'
        image:
          type:
            - string
            - 'null'
          format: uri
        favicon:
          type:
            - string
            - 'null'
          format: uri
        siteName:
          type:
            - string
            - 'null'
    Error:
      type: object
      required:
        - error
      properties:
        error:
          type: string
  responses:
    BadRequest:
      description: The request is invalid.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    RateLimited:
      description: Too many requests were sent in a short period.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    UpstreamUnavailable:
      description: The requested upstream content could not be read.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.